package com.xinxincaravan.caravan.vehicle.mapper;

import com.xinxincaravan.caravan.vehicle.entity.Constant;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface ConstantMapper extends Mapper<Constant> {

   public List<Integer> getAllConstantTypes();

    public int updateByTypeAndCode(Constant constant);


    public int delByTypeAndCode(Constant constant);

    /**
     * 插入重复时则忽略
     * @param constant
     * @return
     */
    public int insertIgnoreOnDuplicate(Constant constant);
}
